From 431a8208a3b5606d172e4fdef493023a59ba5a11 Mon Sep 17 00:00:00 2001
From: Daniel Baumann <daniel@debian.org>
Date: Sun, 8 Feb 2009 13:25:44 +0100
Subject: Really correcting bootstrap default logic to not overwrite the 'copy'
 method.

---
 functions/defaults.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/functions/defaults.sh b/functions/defaults.sh
index f686b73..d057602 100755
--- a/functions/defaults.sh
+++ b/functions/defaults.sh
@@ -85,7 +85,7 @@ Set_defaults ()
 	LH_APT_SECURE="${LH_APT_SECURE:-enabled}"
 
 	# Setting bootstrap program
-	if [ -z "${LH_BOOTSTRAP}" ] || [ ! -x "${LH_BOOTSTRAP}" ] || [ "${LH_BOOTSTRAP}" != "copy" ]
+	if [ -z "${LH_BOOTSTRAP}" ] || ( [ ! -x "${LH_BOOTSTRAP}" ] && [ "${LH_BOOTSTRAP}" != "copy" ] )
 	then
 		if [ -x "/usr/sbin/debootstrap" ]
 		then
-- 
cgit v1.0